Bug 45994 - FILESAVE/FILEOPEN: ODF - Frame and image position properties not preserved on roundtrip
Summary: FILESAVE/FILEOPEN: ODF - Frame and image position properties not preserved on...
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
3.3.4 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL: https://github.com/dagwieers/asciidoc...
Whiteboard:
Keywords:
Depends on:
Blocks: Frame
  Show dependency treegraph
 
Reported: 2012-02-13 06:06 UTC by Dag Wieers
Modified: 2020-06-13 03:42 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
This is the original AsciiDoc source that generated the FODT. (14.37 KB, text/plain)
2012-02-13 06:06 UTC, Dag Wieers
Details
The generated example Flat XML ODF file (919.48 KB, application/vnd.oasis.opendocument.text-flat-xml)
2012-05-17 11:16 UTC, Dag Wieers
Details
screenshot of first page in 3.5.4 on Fedora 64 bit for determine source of unicode problem (128.54 KB, image/png)
2012-06-10 23:17 UTC, sasha.libreoffice
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dag Wieers 2012-02-13 06:06:23 UTC
Created attachment 56968 [details]
This is the original AsciiDoc source that generated the FODT.

If you open the attached file in LibreOffice, you will notice that the various test images are listed one after the other.

However, if you save that file and then reopen that file again in LibreOffice, all images are squashed on top of each other.
Comment 1 sasha.libreoffice 2012-05-17 07:41:47 UTC
Thanks for bugreport
Attached file is plain text file. May be I something not understand. Please, explain about images.
Comment 2 Dag Wieers 2012-05-17 11:16:05 UTC
Created attachment 61756 [details]
The generated example Flat XML ODF file

Open this file in LibreOffice 3.5.3, save it again and then reopen it.

You'll notice that the first time you open it, the images are all put after each other. If you save the file and then reopen it, the images are squashed on top of each other.
Comment 3 Dag Wieers 2012-05-17 11:17:57 UTC
I am sorry, I attached the original AsciiDoc source file of the generated Flat XML ODF file. I now also attached the real Flat XML ODF file.

Open it, look at the positioning of the images (all displayed after each other). Then save this file, and reopen it in LibreOffice 3.5.3 and you'll see that the images are squashed on top of each other.

So LibreOffice is somehow corrupting a previously working (generated) ODF file.
Comment 4 sasha.libreoffice 2012-05-17 22:39:25 UTC
Thanks for attachment
reproduced in 3.3.4 and 3.5.3 on Fedora 64 bit
Steps to reproduce:
0. Open second attachment
1. See how placed pictures in sections 14 and 15
2. Save document in format odt or fodt (no difference)
3. File->Reload
4. Compare pictures in sections 14 and 15 with step 2
Expected: no difference
Actually: pictures placed wrong
Unknown yet if it FileSave or FileOpen problem

Changing version to 3.3.4 as most early reproducible

PS: in beginning is word Dag Wieërs. It is correct or it is another bug?
Comment 5 Dag Wieers 2012-06-10 14:10:05 UTC
The unicode problem is caused by me copy&pasting the original content from the website to reproduce the bug. So in fact it's a unicode bug in Bugzilla's attachment system ;-)
Comment 6 sasha.libreoffice 2012-06-10 23:17:21 UTC
Created attachment 62867 [details]
screenshot of first page in 3.5.4 on Fedora 64 bit for determine source of unicode problem
Comment 7 Dag Wieers 2013-07-01 23:05:18 UTC
Still a problem with LibreOffice 4.0.4.2 !
Comment 8 sasha.libreoffice 2013-07-02 12:31:48 UTC
Thanks for additional testing.
Sorry, but "Version" is where bug is appears first time. Not a current version of LO. If bug disappears we just closing bugreport.
Changing version back to 3.3.4
Comment 9 QA Administrators 2015-04-19 03:20:30 UTC Comment hidden (obsolete)
Comment 10 Dag Wieers 2015-04-21 09:39:40 UTC
Problem still exists :-(

Just open the FODT attachment in LibreOffice 4.4, save the file and then open the saved file again. All images are squashed on top of each other.
Comment 11 Dag Wieers 2015-04-21 12:51:10 UTC
Now tested it with LibreOffice 4.4.3.1, problem still exists.
Comment 12 QA Administrators 2016-09-20 09:32:36 UTC Comment hidden (obsolete)
Comment 13 Yousuf Philips (jay) (retired) 2017-06-12 02:35:49 UTC
So images and frames in the document which are set to have vertical position as 'top' to 'paragraph text area' are either being saved into the document incorrectly or loaded incorrectly as to 'page text area'.

@Regina: Could you check if this is a FILESAVE or a FILEOPEN bug?
Comment 14 QA Administrators 2018-06-13 02:36:49 UTC Comment hidden (obsolete)
Comment 15 QA Administrators 2020-06-13 03:42:52 UTC
Dear Dag Wieers,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug